import * as React from 'react';
import SvgIcon, { SvgIconProps } from '@mui/material/SvgIcon';

export interface ApiCogIconProps extends SvgIconProps {
  textColor?: string;
}

export const ApiCogIcon = (props: ApiCogIconProps) => {
  const { textColor = '#fff' } = props;
  return (
    <SvgIcon {...props}>
      <path
        d="M20.405,13.067c0.045,-0.352 0.079,-0.704 0.079,-1.067c-0,-0.363 -0.034,-0.726 -0.079,-1.1l2.386,-1.793c0.215,-0.165 0.271,-0.462 0.136,-0.704l-2.262,-3.806c-0.136,-0.242 -0.441,-0.341 -0.69,-0.242l-2.816,1.1c-0.588,-0.429 -1.198,-0.803 -1.911,-1.078l-0.418,-2.915c-0.046,-0.264 -0.283,-0.462 -0.566,-0.462l-4.523,0c-0.283,0 -0.52,0.198 -0.566,0.462l-0.418,2.915c-0.713,0.275 -1.323,0.649 -1.911,1.078l-2.816,-1.1c-0.249,-0.099 -0.554,0 -0.69,0.242l-2.262,3.806c-0.147,0.242 -0.079,0.539 0.136,0.704l2.386,1.793c-0.045,0.374 -0.079,0.737 -0.079,1.1c0,0.363 0.034,0.715 0.079,1.067l-2.386,1.826c-0.215,0.165 -0.283,0.462 -0.136,0.704l2.262,3.806c0.136,0.242 0.441,0.33 0.69,0.242l2.816,-1.111c0.588,0.44 1.198,0.814 1.911,1.089l0.418,2.915c0.046,0.264 0.283,0.462 0.566,0.462l4.523,0c0.283,0 0.52,-0.198 0.566,-0.462l0.418,-2.915c0.713,-0.286 1.323,-0.649 1.911,-1.089l2.816,1.111c0.249,0.088 0.554,0 0.69,-0.242l2.262,-3.806c0.135,-0.242 0.079,-0.539 -0.136,-0.704l-2.386,-1.826Z"
        style={{ fillRule: 'nonzero' }}
      />
      <g>
        <path
          d="M5.801,15.058c-0.151,-0 -0.266,-0.063 -0.347,-0.188c-0.08,-0.125 -0.088,-0.259 -0.024,-0.4l2.262,-5.254c0.081,-0.182 0.212,-0.274 0.395,-0.274c0.193,0 0.324,0.092 0.394,0.274l2.27,5.27c0.059,0.146 0.05,0.278 -0.028,0.396c-0.078,0.117 -0.194,0.176 -0.35,0.176c-0.081,-0 -0.157,-0.022 -0.23,-0.067c-0.072,-0.044 -0.124,-0.106 -0.156,-0.184l-1.997,-4.823l0.226,-0l-2.029,4.823c-0.038,0.084 -0.093,0.146 -0.165,0.188c-0.073,0.042 -0.146,0.063 -0.221,0.063Zm0.426,-1.347l0.322,-0.673l3.156,-0l0.322,0.673l-3.8,-0Z"
          style={{ fill: textColor, fillRule: 'nonzero' }}
        />
        <path
          d="M12.128,15.058c-0.118,-0 -0.218,-0.039 -0.298,-0.118c-0.081,-0.078 -0.121,-0.175 -0.121,-0.289l0,-5.302c0,-0.12 0.04,-0.217 0.121,-0.293c0.08,-0.076 0.18,-0.114 0.298,-0.114l1.61,0c0.402,0 0.759,0.086 1.07,0.259c0.312,0.172 0.555,0.411 0.729,0.716c0.174,0.306 0.262,0.657 0.262,1.053c-0,0.381 -0.088,0.721 -0.262,1.018c-0.174,0.298 -0.417,0.53 -0.729,0.697c-0.311,0.167 -0.668,0.251 -1.07,0.251l-1.192,-0l0,1.715c0,0.114 -0.039,0.211 -0.116,0.289c-0.078,0.079 -0.179,0.118 -0.302,0.118Zm0.418,-2.874l1.192,0c0.247,0 0.464,-0.052 0.652,-0.157c0.188,-0.104 0.335,-0.248 0.443,-0.43c0.107,-0.183 0.161,-0.392 0.161,-0.627c-0,-0.25 -0.054,-0.471 -0.161,-0.661c-0.108,-0.191 -0.255,-0.341 -0.443,-0.451c-0.188,-0.109 -0.405,-0.164 -0.652,-0.164l-1.192,-0l0,2.49Z"
          style={{ fill: textColor, fillRule: 'nonzero' }}
        />
        <path
          d="M17.143,15.058c-0.118,-0 -0.217,-0.039 -0.298,-0.118c-0.08,-0.078 -0.121,-0.175 -0.121,-0.289l0,-5.302c0,-0.12 0.041,-0.217 0.121,-0.293c0.081,-0.076 0.18,-0.114 0.298,-0.114c0.123,0 0.224,0.038 0.302,0.114c0.078,0.076 0.117,0.173 0.117,0.293l-0,5.302c-0,0.114 -0.039,0.211 -0.117,0.289c-0.078,0.079 -0.179,0.118 -0.302,0.118Z"
          style={{ fill: textColor, fillRule: 'nonzero' }}
        />
      </g>
    </SvgIcon>
  );
};
